### Hierarchy

- TableToolbar

## Index

### Inputs

- model
- size
- ariaLabel
- batchText
- cancelText

### Outputs

- cancel

### Constructors

- constructor

### Properties

- _batchTextLegacy
- _batchTextMultiple
- _batchTextSingle
- _cancelText
- actionBarLabel
- cancel
- i18n
- model
- size

### Accessors

- ariaLabel
- batchText
- cancelText
- count
- selected

### Methods

- onCancel

## Constructors

### constructor

- new TableToolbar(i18n: I18n): TableToolbar

- - Defined in src/table/toolbar/table-toolbar.component.ts:115

  #### Parameters

  - ##### i18n: I18n

  #### Returns TableToolbar

## Properties

### _batchTextLegacy

_batchTextLegacy: Overridable = this.i18n.getOverridable("TABLE_TOOLBAR.BATCH_TEXT")

- Defined in src/table/toolbar/table-toolbar.component.ts:113

### _batchTextMultiple

_batchTextMultiple: Overridable = this.i18n.getOverridable("TABLE_TOOLBAR.BATCH_TEXT_MULTIPLE")

- Defined in src/table/toolbar/table-toolbar.component.ts:115

### _batchTextSingle

_batchTextSingle: Overridable = this.i18n.getOverridable("TABLE_TOOLBAR.BATCH_TEXT_SINGLE")

- Defined in src/table/toolbar/table-toolbar.component.ts:114

### _cancelText

_cancelText: Overridable = this.i18n.getOverridable("TABLE_TOOLBAR.CANCEL")

- Defined in src/table/toolbar/table-toolbar.component.ts:112

### actionBarLabel

actionBarLabel: Overridable = this.i18n.getOverridable("TABLE_TOOLBAR.ACTION_BAR")

- Defined in src/table/toolbar/table-toolbar.component.ts:111

### cancel

@Output()
cancel: EventEmitter<Object> = new EventEmitter()

- Defined in src/table/toolbar/table-toolbar.component.ts:109

### Protected i18n

i18n: I18n

- Defined in src/table/toolbar/table-toolbar.component.ts:117

### model

@Input()
model: TableModel

- Defined in src/table/toolbar/table-toolbar.component.ts:86

### size

@Input()
size: TableRowSize = "md"

- Defined in src/table/toolbar/table-toolbar.component.ts:103

## Accessors

### ariaLabel

@Input()
ariaLabel:

- Defined in src/table/toolbar/table-toolbar.component.ts:97

### batchText

@Input()
batchText:

- Defined in src/table/toolbar/table-toolbar.component.ts:88

### cancelText

@Input()
cancelText:

- Defined in src/table/toolbar/table-toolbar.component.ts:100
- Defined in src/table/toolbar/table-toolbar.component.ts:105

### count

count:

- Defined in src/table/toolbar/table-toolbar.component.ts:119

### selected

selected:

- Defined in src/table/toolbar/table-toolbar.component.ts:122

## Methods

### onCancel

- onCancel(): void

- - Defined in src/table/toolbar/table-toolbar.component.ts:126

  #### Returns void

Generated using TypeDoc